Loading...
Searching...
No Matches
BALL::VIEW::ModifyRepresentationDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/modifyRepresentationDialog.h>`

Inheritance diagram for BALL::VIEW::ModifyRepresentationDialog:

## Public Slots

void | accept ()
void | tabChanged ()
void | autoScale ()
void | choosePressed ()
void | gridSelected ()
void | show ()
void | applySplit ()

## Public Member Functions

| ModifyRepresentationDialog (QWidget *parent=0, const char *name="ModifyRepresentationDialog", bool modal=false, Qt::WindowFlags fl=0)
| ~ModifyRepresentationDialog ()
virtual void | onNotify (Message *message)
void | setRepresentation (Representation *rep)
void | setGrid (RegularData3D *grid)
void | setMinValue (float value)
void | setMaxValue (float value)
void | setMidValue (float value)
void | setSplitRadius (float distance)
void | setMode (Position pos)
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | initializeWidget (MainControl &main_control)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual bool | isValid () const

## Protected Types

typedef HashGrid3< const Atom * > | AtomGrid
typedef HashGridBox3< const Atom * > | AtomBox

## Protected Slots

void | customColorTransparencyChanged ()
void | changeDrawingModeTransparencyChanged ()
void | splitMethodChanged ()

## Protected Member Functions

| ModifyRepresentationDialog (const ModifyRepresentationDialog &dialog)
void | colorByCustomColor_ ()
bool | colorByGrid_ ()
bool | insertGrid_ (RegularData3D &grid, const String &name)
void | removeGrid_ (RegularData3D &grid)
void | invalidateGrid_ ()
void | invalidateMesh_ ()
void | changeDrawingMode_ ()
void | checkApplyButton_ ()
void | calculateIncludedVertices_ (vector< bool > &include_vertex, const Mesh &org_mesh, HashSet< const Composite * > &roots)
bool | checkInclude_ (const AtomGrid &atom_grid, const Vector3 &point) const
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)

## Protected Attributes

RegularData3D * | grid_
float | square_distance_
ColorRGBA | selected_color
ColorRGBA | min_min_color
ColorRGBA | min_color
ColorRGBA | mid_color
ColorRGBA | max_color
ColorRGBA | max_max_color
Representation * | rep_
std::list< RegularData3D * > | grid_list_
vector< Vector3 > | vertices_
MaterialSettings * | material_settings_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Dialog for coloring of surfaces The surfaces can be colored by a given color, or from the values, contained in a RegularData3D grid. You can also set the transparency of the surface.

Definition at line 51 of file modifyRepresentationDialog.h.

## Member Typedef Documentation

## AtomBox

typedef HashGridBox3<const Atom*> BALL::VIEW::ModifyRepresentationDialog::AtomBox

protected

Definition at line 114 of file modifyRepresentationDialog.h.

## AtomGrid

typedef HashGrid3<const Atom*> BALL::VIEW::ModifyRepresentationDialog::AtomGrid

protected

Definition at line 113 of file modifyRepresentationDialog.h.

## Constructor & Destructor Documentation

## ModifyRepresentationDialog() [1/2]

BALL::VIEW::ModifyRepresentationDialog::ModifyRepresentationDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "ModifyRepresentationDialog",
|  | bool | modal = false,
|  | Qt::WindowFlags | fl = 0 )

## ~ModifyRepresentationDialog()

BALL::VIEW::ModifyRepresentationDialog::~ModifyRepresentationDialog | ( |  | ) |

## ModifyRepresentationDialog() [2/2]

BALL::VIEW::ModifyRepresentationDialog::ModifyRepresentationDialog | ( | const ModifyRepresentationDialog & | dialog | ) |

protected

## Member Function Documentation

## accept

void BALL::VIEW::ModifyRepresentationDialog::accept | ( |  | ) |

slot

## applySplit

void BALL::VIEW::ModifyRepresentationDialog::applySplit | ( |  | ) |

slot

## autoScale

void BALL::VIEW::ModifyRepresentationDialog::autoScale | ( |  | ) |

slot

## calculateIncludedVertices_()

void BALL::VIEW::ModifyRepresentationDialog::calculateIncludedVertices_ | ( | vector< bool > & | include_vertex,
|  | const Mesh & | org_mesh,
|  | HashSet< const Composite * > & | roots )

protected

## changeDrawingMode_()

void BALL::VIEW::ModifyRepresentationDialog::changeDrawingMode_ | ( |  | ) |

protected

## changeDrawingModeTransparencyChanged

void BALL::VIEW::ModifyRepresentationDialog::changeDrawingModeTransparencyChanged | ( |  | ) |

protected slot

## checkApplyButton_()

void BALL::VIEW::ModifyRepresentationDialog::checkApplyButton_ | ( |  | ) |

protected

## checkInclude_()

bool BALL::VIEW::ModifyRepresentationDialog::checkInclude_ | ( | const AtomGrid & | atom_grid,
|  | const Vector3 & | point ) const

inline protected

## choosePressed

void BALL::VIEW::ModifyRepresentationDialog::choosePressed | ( |  | ) |

slot

## colorByCustomColor_()

void BALL::VIEW::ModifyRepresentationDialog::colorByCustomColor_ | ( |  | ) |

protected

## colorByGrid_()

bool BALL::VIEW::ModifyRepresentationDialog::colorByGrid_ | ( |  | ) |

protected

## customColorTransparencyChanged

void BALL::VIEW::ModifyRepresentationDialog::customColorTransparencyChanged | ( |  | ) |

protected slot

## gridSelected

void BALL::VIEW::ModifyRepresentationDialog::gridSelected | ( |  | ) |

slot

## insertGrid_()

bool BALL::VIEW::ModifyRepresentationDialog::insertGrid_ | ( | RegularData3D & | grid,
|  | const String & | name )

protected

## invalidateGrid_()

void BALL::VIEW::ModifyRepresentationDialog::invalidateGrid_ | ( |  | ) |

protected

## invalidateMesh_()

void BALL::VIEW::ModifyRepresentationDialog::invalidateMesh_ | ( |  | ) |

protected

## onNotify()

virtual void BALL::VIEW::ModifyRepresentationDialog::onNotify | ( | Message * | message | ) |

virtual

Message handling method. This method handles messages sent to this connectionObject. If a certain message should be processed for this connectionObject this method must be overridden. With the help of the RTTI methods one can easily determine if an incoming message is relevant for this connectionObject. See Message for further information concerning messages.

Parameters

  message | a pointer to a message. Do not delete the message in this method.

Reimplemented from BALL::VIEW::ConnectionObject.

## removeGrid_()

void BALL::VIEW::ModifyRepresentationDialog::removeGrid_ | ( | RegularData3D & | grid | ) |

protected

## setGrid()

void BALL::VIEW::ModifyRepresentationDialog::setGrid | ( | RegularData3D * | grid | ) |

## setMaxValue()

void BALL::VIEW::ModifyRepresentationDialog::setMaxValue | ( | float | value | ) |

## setMidValue()

void BALL::VIEW::ModifyRepresentationDialog::setMidValue | ( | float | value | ) |

## setMinValue()

void BALL::VIEW::ModifyRepresentationDialog::setMinValue | ( | float | value | ) |

## setMode()

void BALL::VIEW::ModifyRepresentationDialog::setMode | ( | Position | pos | ) |

## setRepresentation()

void BALL::VIEW::ModifyRepresentationDialog::setRepresentation | ( | Representation * | rep | ) |

## setSplitRadius()

void BALL::VIEW::ModifyRepresentationDialog::setSplitRadius | ( | float | distance | ) |

## show

void BALL::VIEW::ModifyRepresentationDialog::show | ( |  | ) |

slot

## splitMethodChanged

void BALL::VIEW::ModifyRepresentationDialog::splitMethodChanged | ( |  | ) |

protected slot

## tabChanged

void BALL::VIEW::ModifyRepresentationDialog::tabChanged | ( |  | ) |

slot

## Member Data Documentation

## grid_

RegularData3D* BALL::VIEW::ModifyRepresentationDialog::grid_

protected

Definition at line 127 of file modifyRepresentationDialog.h.

## grid_list_

std::list<RegularData3D*> BALL::VIEW::ModifyRepresentationDialog::grid_list_

protected

Definition at line 133 of file modifyRepresentationDialog.h.

## material_settings_

MaterialSettings* BALL::VIEW::ModifyRepresentationDialog::material_settings_

protected

Definition at line 135 of file modifyRepresentationDialog.h.

## max_color

ColorRGBA BALL::VIEW::ModifyRepresentationDialog::max_color

protected

Definition at line 130 of file modifyRepresentationDialog.h.

## max_max_color

ColorRGBA BALL::VIEW::ModifyRepresentationDialog::max_max_color

protected

Definition at line 130 of file modifyRepresentationDialog.h.

## mid_color

ColorRGBA BALL::VIEW::ModifyRepresentationDialog::mid_color

protected

Definition at line 130 of file modifyRepresentationDialog.h.

## min_color

ColorRGBA BALL::VIEW::ModifyRepresentationDialog::min_color

protected

Definition at line 130 of file modifyRepresentationDialog.h.

## min_min_color

ColorRGBA BALL::VIEW::ModifyRepresentationDialog::min_min_color

protected

Definition at line 130 of file modifyRepresentationDialog.h.

## rep_

Representation* BALL::VIEW::ModifyRepresentationDialog::rep_

protected

Definition at line 132 of file modifyRepresentationDialog.h.

## selected_color

ColorRGBA BALL::VIEW::ModifyRepresentationDialog::selected_color

protected

Definition at line 130 of file modifyRepresentationDialog.h.

## square_distance_

float BALL::VIEW::ModifyRepresentationDialog::square_distance_

protected

Definition at line 128 of file modifyRepresentationDialog.h.

## vertices_

vector<Vector3> BALL::VIEW::ModifyRepresentationDialog::vertices_

protected

Definition at line 134 of file modifyRepresentationDialog.h.